Bug 517053 - Traceback if USB non-storage device attached
Traceback if USB non-storage device attached
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: kushaldas@gmail.com
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-12 09:45 EDT by Paul W. Frields
Modified: 2009-11-20 00:35 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.8.6-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 00:10:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2009-08-12 09:45:28 EDT
With my iPhone 3G [05ac:1292] attached and no other USB device, liveusb-creator-3.6.8-1 bails out with a traceback.  Will attach the full traceback after this.
Comment 1 Paul W. Frields 2009-08-12 09:46:06 EDT
Traceback (most recent call last):
  File "/usr/sbin/liveusb-creator", line 75, in <module>
    main()
  File "/usr/sbin/liveusb-creator", line 70, in main
    LiveUSBApp(opts, sys.argv)
  File "/usr/lib/python2.6/site-packages/liveusb/gui.py", line 54, in __init__
    self.mywindow = LiveUSBDialog(opts)
  File "/usr/lib/python2.6/site-packages/liveusb/gui.py", line 245, in __init__
    self.populate_devices()
  File "/usr/lib/python2.6/site-packages/liveusb/gui.py", line 267, in populate_devices
    self.live.detect_removable_drives()
  File "/usr/lib/python2.6/site-packages/liveusb/creator.py", line 384, in detect_removable_drives
    if self.opts.force or dev.GetProperty("storage.bus") == "usb":
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.6/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.Hal.NoSuchProperty: No property storage.bus on device with id /org/freedesktop/Hal/devices/usb_device_5ac_1292_fa210a37ced966a1f9136d06c983311e99f5468e
Comment 2 Luke Macken 2009-11-06 18:10:28 EST
Fixed in 135fde82b21193e18da6de42a7edc42cdbed8740.  I'll be doing a new upstream release shortly.
Comment 3 Fedora Update System 2009-11-07 20:55:39 EST
liveusb-creator-3.8.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/liveusb-creator-3.8.6-1.fc12
Comment 4 Fedora Update System 2009-11-07 20:56:13 EST
liveusb-creator-3.8.6-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/liveusb-creator-3.8.6-1.fc11
Comment 5 Fedora Update System 2009-11-10 12:47:42 EST
liveusb-creator-3.8.6-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update liveusb-creator'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11209
Comment 6 Fedora Update System 2009-11-10 12:51:09 EST
liveusb-creator-3.8.6-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update liveusb-creator'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11232
Comment 7 Fedora Update System 2009-11-20 00:09:50 EST
liveusb-creator-3.8.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-11-20 00:35:25 EST
liveusb-creator-3.8.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.